Subject: Re: [RFC v2] git-multimail: a replacement for post-receive-email

From: Michael Haggerty <[email-masked]>
Date: Sun, 24 Feb 2013 06:31:31 +0100

On 02/20/2013 01:28 PM, Matthieu Moy wrote:
> Michael Haggerty <[email-masked]> writes:
>> A while ago, I submitted an RFC for adding a new email notification
>> script to "contrib" [...]
> 
> We've discussed offline with Michael, a few patches have been merged,
> and there are still a few pending pull requests. I liked the script
> already, but it's getting even cooler ;-).
> 
> A few more random thoughts (not on my personal todo-list):
> 
> * It may make sense to add the short sha1 of the new reference in email
>   titles (branch foo updated -> branch foo updated to $sha1), so that
>   gmail users do not get a single huge thread "branch foo updated".
> 
>   (Yes, I do know about the Reference field, but gmail uses Subject: for
>   threading).
> [...]

I just implemented this in branch sha1s-in-subject [1].  Please let me
know if this works for you then I'll merge it to master.  (It depends on
the header-handling branch, which also includes your patch for non-ASCII
header fields.)

Michael

[1] https://github.com/mhagger/git-multimail/tree/sha1s-in-subject

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/